#include "util.h"
#include <values.h>
// define from ns-2 rnd.cc
#define INVERSE_M ((double)4.656612875e-10)	/* (1.0/(double)M) */

uint32_t rndint()
{
	uint32_t rnd;
	get_random_bytes((char *) &rnd, 4);
	return rnd;
}

double rnddouble()
{
//      return rndint() * INVERSE_M;
	return (double) rndint() / (256.0 * 256.0 * 256.0 * 256.0 - 1.0);
}

double uniformdouble(double max)
{
	return rnddouble() * max;
}

uint32_t uniformint(int max)
{
	return rndint() % max;
}

double exponentialdouble(double max)
{
//      return (-log(rnddouble())*max);
	return rnddouble() * max;
}
