/*
 * This file is part of Kernel SPBM
 *
 * (c) 2003 Lehrstuhl Praktische Informatik IV, University of Mannheim
 *
 *   Kernel SPBM is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   Kernel SPBM is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with Foobar; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#define GRIDDEPTH 3
/* size of the location service dup table */
#define LOCDUPTABLE 100

/* update time in milliseconds */
#define UPDATETIME 5000
#define UPDATEJITTER 10

#define BEACONTIME 2000

/* suppression distance */
#define MAXDISTSQUARE ((u32)0x8000*(u32)0x8000)

#define GROUPOFFSET (htonl(0x0AFFFF00))
